package domain


type AlibabaWdkSkuCombineskuUpdateApiResults struct {
    /*
        接口调用是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        接口调用异常编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        接口调用异常信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        商品列表     */
    Models  *[]AlibabaWdkSkuCombineskuUpdateApiResult `json:"models,omitempty" `

}

func (s *AlibabaWdkSkuCombineskuUpdateApiResults) SetSuccess(v bool) *AlibabaWdkSkuCombineskuUpdateApiResults {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuUpdateApiResults) SetErrCode(v string) *AlibabaWdkSkuCombineskuUpdateApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuUpdateApiResults) SetErrMsg(v string) *AlibabaWdkSkuCombineskuUpdateApiResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuUpdateApiResults) SetModels(v []AlibabaWdkSkuCombineskuUpdateApiResult) *AlibabaWdkSkuCombineskuUpdateApiResults {
    s.Models = &v
    return s
}
